Changeset 925:7b6e501f28a1


Ignore:
Timestamp:
04/27/19 12:14:40 (4 years ago)
Author:
István Váradi <ivaradi@…>
Branch:
python3
hg-Phase:
(<MercurialRepository 1 'hg:/home/ivaradi/mlx/hg' '/'>, 'public')
Message:

GI modules are required properly (re #347).

File:
1 edited

Legend:

Unmodified
Added
Removed
  • src/mlx/gui/common.py

    r919 r925  
    120120
    121121else: # pygobject
     122    import gi
     123    gi.require_version("Gdk", "3.0")
    122124    from gi.repository import Gdk as gdk
    123125    from gi.repository import GdkPixbuf as gdkPixbuf
     126    gi.require_version("Gtk", "3.0")
    124127    from gi.repository import Gtk as gtk
    125128    from gi.repository import AppIndicator3 as appindicator
Note: See TracChangeset for help on using the changeset viewer.